set more off
ssc install regsave, replace

* Run 27 regressions and store results using regsave
sysuse auto, clear	
tempfile tmpfile
gen lnprice = ln(price)
local replace "replace"

foreach reg in "probit" "logit" "regress" {
	foreach regressors in "lnprice" "lnprice rep78" "lnprice rep78 trunk" {
		foreach stderr in "vce(robust)" "vce(cluster foreign)" "" {

			`reg' foreign `regressors', `stderr'

			regsave using "`tmpfile'", p addlabel(vce,`stderr',regressors,`regressors',reg,`reg') `replace'
			
			local replace "append"
		}
	}
}

* Format and outsheet results for use in PivotTable
use "`tmpfile'", clear	
replace var = subinstr(var,"foreign:","",.)
outsheet using results.txt, replace

**EOF